petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSetApplicationContext

Sets the optional user-defined context for the linear solver.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSetApplicationContext(PC pc,void *usrP)

Logically Collective on PC Many br

### Input Parameters

| pc | - the PC context Many br
| usrP | - optional user context Many br

Many br

### Keywords

PC, set, application, context

### See Also

PCGetApplicationContext()

Level:intermediate
Location:src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages